Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Lisp редактирование объектов СПДС-графикс от CS_Ошибка (*push-error-using-command*)

Lisp редактирование объектов СПДС-графикс от CS_Ошибка (*push-error-using-command*)

Ответ
Поиск в этой теме
Непрочитано 27.06.2020, 10:11 1 | 1 #1
Lisp редактирование объектов СПДС-графикс от CS_Ошибка (*push-error-using-command*)
DEM
 
YngIngKllr
 
СПб
Регистрация: 29.03.2005
Сообщений: 12,993

Сделал простенькую програмку, по отдельности все получается, если вводить последовательно в командную строку.
Но полностью программа не срабатывает, выдает ошибку (*push-error-using-command*)
Собсно сам текст программы.
Код:
[Выделить все]
 
 (defun C:gspds (/)
	(setq ledspds (entget (endlast)))
	(setq string1 (assoc 300 ledspds))
	(setq new_text '(300 . "wffwwff"))
	(princ)
	(setq ledspds (subst new_text string1 ledspds))
	(entmod ledspds) 

)
__________________
Работаю за еду.
Working for food.
Für Essen arbeiten.
العمل من أجل الغذاء
Працую за їжу.
Просмотров: 609
 
Непрочитано 27.06.2020, 13:10
1 | 1 #2
SetQ

конструктор
 
Регистрация: 21.07.2007
Петрозаводск
Сообщений: 1,674


Одна буква во второй строке:
Код:
[Выделить все]
 
(setq ledspds (entget (entlast)))
----- добавлено через ~6 мин. -----
Подобное делал для старого СДПСа, до сих пор пользуюсь:

Код:
[Выделить все]
 ;;; Вставка выноски СПДС с высотой числителя 3.5
;;; 01.04.2015

(defun spnotep35 (ent)
  (entmod
    (append (reverse (member '(301 . "Высота текста")
                             (reverse (entget ent))
                     )
            )
            '((40 . 3.5)
              (301 . "Высота малого текста")
              (40 . 2.5)
              (301 . "Шаг угла")
              (40 . 15.0)
             )
    )
  )
  (prin1)
)

(defun C:TT nil
  (command "SPNOTEP" PAUSE PAUSE)
  (spnotep35 (entlast))
)


(defun C:Y nil
  (spnotep35 (car (entsel)))
)
SetQ на форуме  
 
Непрочитано 27.06.2020, 13:16
#3
frostmourn


 
Регистрация: 23.04.2015
Сообщений: 160


Цитата:
Сообщение от DEM Посмотреть сообщение
(setq ledspds (entget (endlast)))
В оригинале так же?
frostmourn вне форума  
 
Автор темы   Непрочитано 27.06.2020, 15:08
#4
DEM

YngIngKllr
 
Регистрация: 29.03.2005
СПб
Сообщений: 12,993


SetQ
ОООООО...
Похоже то что надо...

----- добавлено через ~3 мин. -----
Цитата:
Сообщение от frostmourn Посмотреть сообщение
В оригинале так же?
неее entlast
Код:
[Выделить все]
 (defun C:gspds (/)

	(setq ledspds (entget (entlast)))
	(setq string1 (assoc 300 ledspds))
	(setq new_text '(300 . "wffwwff"))
	(princ "ERHRJRJ")
	(setq ledspds (subst new_text string1 ledspds))
    (ggspds ledspds) 

)
(defun ggspds	(ledspds1) 
(entmod ledspds1) 
)
Поправил...
__________________
Работаю за еду.
Working for food.
Für Essen arbeiten.
العمل من أجل الغذاء
Працую за їжу.

Последний раз редактировалось DEM, 27.06.2020 в 15:30.
DEM вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Lisp редактирование объектов СПДС-графикс от CS_Ошибка (*push-error-using-command*)

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Lisp. Копирование объектов между точками Yuzer LISP 42 01.10.2013 18:15
Задержка перед появлением СПДС (v.6.0) объектов в WIN 7 (Autocad 2010) Lipca Прочее. Программное обеспечение 2 15.10.2010 10:35
Бесплатная альтернатива СПДС графикс существует? Diop3 Прочее. Программное обеспечение 9 18.05.2009 15:33
Lisp: Обработка объектов и получение списка свойств (координаты точек) Nanotronic LISP 2 23.04.2009 23:07
LISP. Распределение по слоям объектов dim.,hatch,text Суханова LISP 5 28.08.2008 13:31